/*
 * Copyright © 2021-2022 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel22-kopfundzahl.
 *
 * Ipspiel22-kopfundzahl is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * Ipspiel22-kopfundzahl is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel22-kopfundzahl. If not, see <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel22.kopfundzahl {
    exports de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain;
    exports de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain.factory;
    exports de.fhdw.gaming.ipspiel22.kopfundzahlundkante.moves;
    exports de.fhdw.gaming.ipspiel22.kopfundzahlundkante.moves.factory;

    requires transitive de.fhdw.gaming.core;
    requires java.logging;

    uses de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain.factory.KopfundZahlStrategyFactory;

    provides de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain.factory.KopfundZahlStrategyFactory
            with de.fhdw.gaming.ipspiel22.kopfundzahlundkante.strategy.KopfundZahlundKanteKopfStrategyFactory,
            de.fhdw.gaming.ipspiel22.kopfundzahlundkante.strategy.KopfundZahlundKanteZahlStrategyFactory,
            de.fhdw.gaming.ipspiel22.kopfundzahlundkante.strategy.KopfundZahlundKanteKanteStrategyFactory,
            de.fhdw.gaming.ipspiel22.kopfundzahlundkante.strategy.KopfundZahlundKanteRandomStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain.impl.KopfundZahlundKanteGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel22.kopfundzahlundkante.domain;
    opens de.fhdw.gaming.ipspiel22.kopfundzahlundkante.moves;
    opens de.fhdw.gaming.ipspiel22.kopfundzahlundkante.strategy;
}
